Intermittent e10s browser_blocking.js,browser_CTP_zoom.js | Uncaught exception - at head.js:106 - Error: Timed out while waiting for a 'load'' event

RESOLVED INCOMPLETE

Status

()

Core
Plug-ins
P5
normal
RESOLVED INCOMPLETE
3 years ago
8 months ago

People

(Reporter: KWierso, Unassigned)

Tracking

(Blocks: 1 bug, {intermittent-failure})

40 Branch
intermittent-failure
Points:
---

Firefox Tracking Flags

(e10s+, firefox45 affected, firefox46 affected)

Details

(Reporter)

Description

3 years ago
13:07:04 INFO - 620 INFO TEST-START | browser/base/content/test/plugins/browser_blocking.js
13:07:30 INFO - [NPAPI 3248] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 333
13:07:30 INFO - [NPAPI 3248] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 333
13:07:32 INFO - [NPAPI 2764] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 333
13:07:32 INFO - [NPAPI 2764] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 333
13:07:35 INFO - 621 INFO checking window state
13:07:35 INFO - 622 INFO Entering test
13:07:35 INFO - 623 INFO Leaving test
13:07:35 INFO - 624 INFO Entering test
13:07:35 INFO - 625 INFO Wait tab event: load
13:07:35 INFO - 626 INFO Tab event received: load
13:07:35 INFO - 627 INFO Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,<html>hi</html>" line: 0}]
13:07:35 INFO - 628 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | exception: null
13:07:35 INFO - 629 INFO Leaving test
13:07:35 INFO - 630 INFO Entering test
13:07:35 INFO - 631 INFO *** loading new blocklist: http://127.0.0.1:8888/browser/browser/base/content/test/plugins/blockPluginHard.xml
13:07:35 INFO - 632 INFO *** waiting on local load
13:07:35 INFO - 633 INFO *** waiting on remote load
13:07:35 INFO - 634 INFO *** blocklist loaded.
13:07:35 INFO - 635 INFO Wait tab event: load
13:07:35 INFO - 636 INFO Tab event received: load
13:07:35 INFO - 637 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | click-to-play-plugins notification appeared
13:07:35 INFO - 638 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 5: The plugin notification should be dismissed by default
13:07:35 INFO - 639 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 5, plugin fallback type should be PLUGIN_BLOCKLISTED
13:07:35 INFO - 640 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 5: Only the blocked plugin should be present in the notification
13:07:35 INFO - 641 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Part 5: The blocked plugins notification should not have any buttons visible.
13:07:35 INFO - 642 INFO *** loading new blocklist: http://127.0.0.1:8888/browser/browser/base/content/test/plugins/blockNoPlugins.xml
13:07:35 INFO - 643 INFO *** waiting on local load
13:07:35 INFO - 644 INFO *** waiting on remote load
13:07:35 INFO - 645 INFO *** blocklist loaded.
13:07:35 INFO - 646 INFO Leaving test
13:07:35 INFO - 647 INFO Entering test
13:07:35 INFO - 648 INFO *** loading new blocklist: http://127.0.0.1:8888/browser/browser/base/content/test/plugins/blockPluginVulnerableUpdatable.xml
13:07:35 INFO - 649 INFO *** waiting on local load
13:07:35 INFO - 650 INFO *** waiting on remote load
13:07:35 INFO - 651 INFO *** blocklist loaded.
13:07:35 INFO - 652 INFO Wait tab event: load
13:07:35 INFO - 653 INFO Console message: [JavaScript Error: "Error: operation not possible on dead CPOW" {file: "resource://gre/modules/RemoteAddonsParent.jsm" line: 574}]
13:07:35 INFO - 654 INFO TEST-UNEXPECTED-FAIL | browser/base/content/test/plugins/browser_blocking.js | Uncaught exception - at chrome://mochitests/content/browser/browser/base/content/test/plugins/head.js:106 - Error: Timed out while waiting for a 'load'' event
13:07:35 INFO - Stack trace:
13:07:35 INFO - promiseTabLoadEvent/timeout<@chrome://mochitests/content/browser/browser/base/content/test/plugins/head.js:106:21
13:07:35 INFO - Handler.prototype.process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:867:23
13:07:35 INFO - this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:746:7
13:07:35 INFO - this.PromiseWalker.scheduleWalkerLoop/<@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:688:37
13:07:35 INFO - Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:688:5
13:07:35 INFO - this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:709:7
13:07:35 INFO - this.PromiseWalker.completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:671:7
13:07:35 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:741:9
13:07:35 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:664:7
13:07:35 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:745:59
13:07:35 INFO - 655 INFO Leaving test
13:07:35 INFO - 656 INFO Entering test
13:07:35 INFO - 657 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18a, plugin fallback type should be PLUGIN_VULNERABLE_UPDATABLE
13:07:35 INFO - 658 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18b, Plugin should not be activated
13:07:35 INFO - 659 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18b, Plugin overlay should exist, not be hidden
13:07:35 INFO - 660 INFO Leaving test
13:07:35 INFO - 661 INFO Entering test
13:07:35 INFO - 662 INFO *** loading new blocklist: http://127.0.0.1:8888/browser/browser/base/content/test/plugins/blockPluginVulnerableNoUpdate.xml
13:07:35 INFO - 663 INFO *** waiting on local load
13:07:35 INFO - 664 INFO *** waiting on remote load
13:07:35 INFO - 665 INFO *** blocklist loaded.
13:07:35 INFO - 666 INFO Wait tab event: load
13:07:35 INFO - 667 INFO Tab event received: load
13:07:35 INFO - 668 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, Should have a click-to-play notification
13:07:35 INFO - 669 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, plugin fallback type should be PLUGIN_VULNERABLE_NO_UPDATE
13:07:35 INFO - 670 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, Plugin should not be activated
13:07:35 INFO - 671 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, Plugin overlay should exist, not be hidden
13:07:35 INFO - 672 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, Plugin should not have an update link
13:07:35 INFO - 673 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, plugin fallback type should be PLUGIN_VULNERABLE_NO_UPDATE
13:07:35 INFO - 674 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, Plugin should be activated
13:07:35 INFO - 675 INFO TEST-PASS | browser/base/content/test/plugins/browser_blocking.js | Test 18c, Plugin enabled state should be STATE_CLICKTOPLAY
13:07:35 INFO - 676 INFO Leaving test
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Summary: Intermittent browser_blocking.js | Uncaught exception - at head.js:106 - Error: Timed out while waiting for a 'load'' event → Intermittent e10s browser_blocking.js,browser_CTP_zoom.js | Uncaught exception - at head.js:106 - Error: Timed out while waiting for a 'load'' event
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Updated

3 years ago
Blocks: 984139
tracking-e10s: --- → +
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 55

3 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 1
* mozilla-inbound: 1
* mozilla-central: 1
* fx-team: 1
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 56

3 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 2
* mozilla-inbound: 1
* mozilla-aurora: 1
* b2g-inbound: 1

Platform breakdown:
* windows8-64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2016-01-04&endday=2016-01-10&tree=all
status-firefox45: --- → affected
status-firefox46: --- → affected

Comment 57

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2

Platform breakdown:
* windows7-32: 3
* osx-10-10: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 58

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* mozilla-central: 1
* ash: 1

Platform breakdown:
* osx-10-10: 3
* windows7-32: 2
* linux64: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2016-05-16&endday=2016-05-22&tree=all

Comment 59

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 2
* fx-team: 2
* mozilla-inbound: 1

Platform breakdown:
* windows8-64: 3
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 60

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2
* mozilla-central: 1
* mozilla-aurora: 1
* ash: 1

Platform breakdown:
* windows8-64: 3
* osx-10-10: 2
* linux32: 2
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 61

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 6
* mozilla-inbound: 4
* mozilla-central: 1

Platform breakdown:
* linux32: 5
* osx-10-10: 4
* windows8-64: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 62

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2

Platform breakdown:
* linux32: 2
* windows8-64: 1
* windows7-32: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1165517&startday=2016-06-13&endday=2016-06-19&tree=all
Intermittent e10s test failure
Priority: -- → P5
no failures in the last year
Status: NEW → RESOLVED
Last Resolved: 8 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.